Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.orm
[Java] Class RlikeExpression

    java.lang.Object
      grails.orm.RlikeExpression

All Implemented Interfaces:
  Criterion

    public class RlikeExpression

Adds support for rlike to Hibernate in supported dialects.

Authors:
  Graeme Rocher

Since:
  1.1.1

Constructor Summary
`RlikeExpression(java.lang.String propertyName, java.lang.Object value)`
`RlikeExpression(java.lang.String propertyName, java.lang.String value, MatchMode matchMode)`

Method Summary
`TypedValue[]` | `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)`
`java.lang.String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### RlikeExpression

    public RlikeExpression(java.lang.String propertyName, java.lang.Object value)

### RlikeExpression

    public RlikeExpression(java.lang.String propertyName, java.lang.String value, MatchMode matchMode)

Method Detail

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)

### toSqlString

    public java.lang.String toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation